Bug 1276831 - Review Request: tth - TeX to HTML/MathML translators
Review Request: tth - TeX to HTML/MathML translators
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-31 01:35 EDT by Jerry James
Modified: 2015-11-17 10:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 10:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-10-31 01:35:32 EDT
Spec URL: https://jjames.fedorapeople.org/tth/tth.spec
SRPM URL: https://jjames.fedorapeople.org/tth/tth-4.08-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: TTH translates TeX, the predominant mark-up language for expressing  mathematics, into HTML, the language of world-wide-web browsers. It thereby enables mathematical documents to be made available on the web. Document structure, using either the Plain or LaTeX macro packages, isalso translated and  incorporated in the form of hyperlinks.

TTH is extremely fast and completely portable. It produces more compact, faster viewing, web documents than other converters, because it really translates the equations, instead of converting them to images.
Comment 1 gil cattaneo 2015-11-05 17:11:25 EST
can you take this https://bugzilla.redhat.com/show_bug.cgi?id=1039299 for me?
Comment 2 gil cattaneo 2015-11-05 17:51:32 EST
Should be removed all pre-built binaries/libraries

 tth/tthgold/choice.exe
 tth/tthgold/tth-gui.exe
 tth/tthgold/tth.exe
 tth/tthgold/tthrfcat
 tth/tthgold/tthrfcat.exe
 tth/tthgold/tthsplit
 tth/tthgold/tthsplit.exe
 tth/TtMdir/tthsplit.exe
 tth/TtMdir/ttm.exe
 tth/SFXWiz32-gcc.exe
Comment 3 gil cattaneo 2015-11-05 17:53:34 EST
Other issue license should be installed also in the libs sub package
Comment 4 gil cattaneo 2015-11-05 18:16:55 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[!]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (unversioned/unknown version)", "Unknown or generated".
     457 files have unknown license. Detailed output of licensecheck in
     /home/gil/1276831-tth/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 757760 bytes in 32 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
 make manual ?
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tth-tex
     , tth-libs , tth-devel , tth-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/gil/1276831-tth/results/tth-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-tex-4.08-1.fc24.noarch.rpm /home/gil/1276831-tth/results/tth-libs-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-devel-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-debuginfo-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-debuginfo-4.08-1.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/gil/1276831-tth/results/tth-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-tex-4.08-1.fc24.noarch.rpm /home/gil/1276831-tth/results/tth-libs-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-devel-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-debuginfo-4.08-1.fc24.i686.rpm /home/gil/1276831-tth/results/tth-debuginfo-4.08-1.fc24.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: tth-4.08-1.fc24.i686.rpm
          tth-tex-4.08-1.fc24.noarch.rpm
          tth-libs-4.08-1.fc24.i686.rpm
          tth-devel-4.08-1.fc24.i686.rpm
          tth-debuginfo-4.08-1.fc24.i686.rpm
          tth-4.08-1.fc24.src.rpm
tth.i686: W: no-manual-page-for-binary tthrfcat
tth.i686: W: no-manual-page-for-binary tthprep
tth.i686: W: no-manual-page-for-binary tth-numbering
tth.i686: W: no-manual-page-for-binary tth-structure
tth.i686: W: no-manual-page-for-binary tthsplit
tth-tex.noarch: W: no-documentation
tth-tex.noarch: E: incorrect-fsf-address /usr/share/licenses/tth-tex/GPL2.txt
tth-libs.i686: W: shared-lib-calls-exit /usr/lib/libttm.so.0.0.0 exit@GLIBC_2.0
tth-libs.i686: W: shared-lib-calls-exit /usr/lib/libtth.so.0.0.0 exit@GLIBC_2.0
tth-libs.i686: W: no-documentation
6 packages and 0 specfiles checked; 1 errors, 9 warnings.




Requires
--------
tth-tex (rpmlib, GLIBC filtered):
    /usr/bin/mktexlsr
    tex(tex)
    texlive-base

tth (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    coreutils
    ghostscript-core
    libc.so.6
    netpbm-progs
    rtld(GNU_HASH)
    tex(color.sty)
    tex(epsfig.sty)
    tex(fullpage.sty)
    tex(graphicx.sty)
    tex(hyperref.sty)
    tex(makeidx.sty)
    tex(natbib.sty)
    tex-bibtex
    tex-cm
    tex-dvips
    tex-latex-bin
    tex-makeindex
    tth-tex

tth-devel (rpmlib, GLIBC filtered):
    libtth.so.0
    libttm.so.0
    tth-libs

tth-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    coreutils
    ghostscript-core
    libc.so.6
    netpbm-progs
    rtld(GNU_HASH)
    tex(color.sty)
    tex(epsfig.sty)
    tex(fullpage.sty)
    tex(graphicx.sty)
    tex(hyperref.sty)
    tex(makeidx.sty)
    tex(natbib.sty)
    tex-bibtex
    tex-cm
    tex-dvips
    tex-latex-bin
    tex-makeindex
    tth-tex

tth-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
tth-tex:
    tth-tex

tth:
    tth
    tth(x86-32)

tth-devel:
    tth-devel
    tth-devel(x86-32)

tth-libs:
    libtth.so.0
    libttm.so.0
    tth-libs
    tth-libs(x86-32)

tth-debuginfo:
    tth-debuginfo
    tth-debuginfo(x86-32)



Source checksums
----------------
http://downloads.sourceforge.net/tth/tth4.08.tar.gz :
  CHECKSUM(SHA256) this package     : 3ad5cde189bd2a1b621403b26b136cb20fab9b4e844ebb71e311bee553c52724
  CHECKSUM(SHA256) upstream package : 3ad5cde189bd2a1b621403b26b136cb20fab9b4e844ebb71e311bee553c52724


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1276831 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 gil cattaneo 2015-11-05 18:28:52 EST
ISSUES:

[!]: Package contains no static executables.

 tth/tthgold/choice.exe
 tth/tthgold/tth-gui.exe
 tth/tthgold/tth.exe
 tth/tthgold/tthrfcat
 tth/tthgold/tthrfcat.exe
 tth/tthgold/tthsplit
 tth/tthgold/tthsplit.exe
 tth/TtMdir/tthsplit.exe
 tth/TtMdir/ttm.exe
 tth/SFXWiz32-gcc.exe

[!]: Uses parallel make %{?_smp_mflags} macro.
 make manual ?

NON blocking

[!]: License file installed when any subpackage combination is installed.
Should be installed also in the libs sub package


Should be contact upstream yo inclide license headers where missing, and also for upgrade license test file with new Free Software Foundation address

tth-tex.noarch: E: incorrect-fsf-address /usr/share/licenses/tth-tex/GPL2.txt

Unknown or generated
--------------------
tth/TtMdir/ps2gif.bat
tth/TtMdir/ps2png.bat
tth/TtMdir/readme.ttm
tth/TtMdir/ttm.gif
tth/TtMdir/ttm_icon.gif
tth/TtMdir/ttm_man.tex
tth/equationh.lex
tth/equationm.lex
tth/latex2gif
tth/manual/mozilla.tex

tth/manual/tth2ttm
tth/manual/tth_manual.tlg
tth/manual/ttm_manual.tex
tth/mathstringsh.lex
tth/mathstringsm.lex
tth/ps2gif
tth/tools/choice.c
tth/tools/latex2gif
tth/tools/numbering
tth/tools/ps2gif
tth/tools/ps2gif.bat
tth/tools/ps2gif_transparent
tth/tools/ps2png
tth/tools/ps2png.bat
tth/tools/structure
tth/tools/tthsplit.c
tth/transfer
tth/tth-gui/tth-gui.c
tth/tth-gui/tth-gui.coff
tth/tth-gui/tth-gui.h
tth/tth-gui/tth-gui.rc
tth/tth-gui/tth_icon.ico
tth/tth.res
tth/tthfunc/callreset.c
tth/tthfunc/calltthfunc.c
tth/tthfunc/callttmfunc.c
tth/tthfunc/maintodynamic
tth/tthfunc/maintofunction
tth/tthfunc/maintomdynamic
tth/tthfunc/maintomfunction
tth/tthfunc/tests/name2.txt
tth/tthfunc/tests/naming.diff
tth/tthfunc/tests/renaming.txt
tth/tthfunc/thedynamic.c
tth/tthfunc/thefunction.c
tth/tthfunc/topdynamic.c
tth/tthfunc/tthdynamic/README.tthfunc
tth/tthfunc/tthdynamic/calltthfunc.c
tth/tthfunc/tthfunc/calltthfunc.c
tth/tthfunc/tthreinitialize.c
tth/tthfunc/ttmdynamic/callttmfunc.c
tth/tthfunc/ttmfunc/callttmfunc.c
tth/tthgif/ppmtompeg.config
tth/tthgif/tth.bmp
tth/tthgif/tth.mpeg
tth/tthgif/tthnew/anim.doc
tth/tthgif/tthnew/bak/tt0.fig
tth/tthgif/tthnew/bak/tt1.fig
tth/tthgif/tthnew/bak/tt2.fig
tth/tthgif/tthnew/bak/tt3.fig
tth/tthgif/tthnew/bak/tt4.fig
tth/tthgif/tthnew/bak/tt5.fig
tth/tthgif/tthnew/bak/tt6.fig
tth/tthgif/tthnew/bak/tt7.fig
tth/tthgif/tthnew/bak/tt8.fig
tth/tthgif/tthnew/bak/tt9.fig
tth/tthgif/tthnew/bak/ttA.fig
tth/tthgif/tthnew/bak/ttB.fig
tth/tthgif/tthnew/r2i.patch
tth/tthgif/tthnew/translate
tth/tthgif/tthnew/translate_icon
tth/tthgif/tthnew/translate_mini
tth/tthgif/tthnew/tt.fig
tth/tthgif/tthnew/tt0.fig
tth/tthgif/tthnew/tt0.gif
tth/tthgif/tthnew/tt1.fig
tth/tthgif/tthnew/tt1.gif
tth/tthgif/tthnew/tt2.fig
tth/tthgif/tthnew/tt2.gif
tth/tthgif/tthnew/tt3.fig
tth/tthgif/tthnew/tt3.gif
tth/tthgif/tthnew/tt4.fig
tth/tthgif/tthnew/tt4.gif
tth/tthgif/tthnew/tt5.fig
tth/tthgif/tthnew/tt5.gif
tth/tthgif/tthnew/tt6.fig
tth/tthgif/tthnew/tt6.gif
tth/tthgif/tthnew/tt7.fig
tth/tthgif/tthnew/tt7.gif
tth/tthgif/tthnew/tt8.fig
tth/tthgif/tthnew/tt8.gif
tth/tthgif/tthnew/tt9.fig
tth/tthgif/tthnew/tt9.gif
tth/tthgif/tthnew/ttA.fig
tth/tthgif/tthnew/ttA.gif
tth/tthgif/tthnew/ttB.fig
tth/tthgif/tthnew/ttB.gif
tth/tthgif/tthnew/tth_icon.bmp
tth/tthgif/tthnew/tth_icon_a.gif
tth/tthgif/tthnew/tth_mini_a.gif
tth/tthgif/tthnew/ttps.eps
tth/tthgif/tthnew/ttps.fig
tth/tthgif/tthnew/ttps.fig.bak
tth/tthgif/tthold/anim.doc
tth/tthgif/tthold/anim.gif
tth/tthgif/tthold/translate
tth/tthgif/tthold/translate_icon
tth/tthgif/tthold/tt.fig
tth/tthgif/tthold/tt0.eps
tth/tthgif/tthold/tt0.fig
tth/tthgif/tthold/tt0.gif
tth/tthgif/tthold/tt1.fig
tth/tthgif/tthold/tt1.gif
tth/tthgif/tthold/tt2.fig
tth/tthgif/tthold/tt2.gif
tth/tthgif/tthold/tt3.fig
tth/tthgif/tthold/tt3.gif
tth/tthgif/tthold/tt4.fig
tth/tthgif/tthold/tt4.gif
tth/tthgif/tthold/tt5.fig
tth/tthgif/tthold/tt5.gif
tth/tthgif/tthold/tt6.fig
tth/tthgif/tthold/tt6.gif
tth/tthgif/tthold/tt7.fig
tth/tthgif/tthold/tt7.gif
tth/tthgif/tthold/tt8.fig
tth/tthgif/tthold/tt8.gif
tth/tthgif/tthold/tth_icon_a.gif.bak
tth/tthgif/tthold/tth_logo_a.gif
tth/tthgif/tthold/tth_logo_a.gif.bak
tth/tthgif/tthold/tth_still.gif
tth/tthgif/tthold/tthold/Makefile
tth/tthgif/tthold/tthold/anim.doc
tth/tthgif/tthold/tthold/anim.gif
tth/tthgif/tthold/tthold/translate
tth/tthgif/tthold/tthold/translate_icon
tth/tthgif/tthold/tthold/tt.fig
tth/tthgif/tthold/tthold/tt0.eps
tth/tthgif/tthold/tthold/tt0.fig
tth/tthgif/tthold/tthold/tt0.gif
tth/tthgif/tthold/tthold/tt1.fig
tth/tthgif/tthold/tthold/tt1.gif
tth/tthgif/tthold/tthold/tt2.fig
tth/tthgif/tthold/tthold/tt2.gif
tth/tthgif/tthold/tthold/tt3.fig
tth/tthgif/tthold/tthold/tt3.gif
tth/tthgif/tthold/tthold/tt4.fig
tth/tthgif/tthold/tthold/tt4.gif
tth/tthgif/tthold/tthold/tt5.fig
tth/tthgif/tthold/tthold/tt5.gif
tth/tthgif/tthold/tthold/tt6.fig
tth/tthgif/tthold/tthold/tt6.gif
tth/tthgif/tthold/tthold/tt7.fig
tth/tthgif/tthold/tthold/tt7.gif
tth/tthgif/tthold/tthold/tt8.fig
tth/tthgif/tthold/tthold/tt8.gif
tth/tthgif/tthold/tthold/tth_icon_a.gif.bak
tth/tthgif/tthold/tthold/tth_logo_a.gif
tth/tthgif/tthold/tthold/tth_logo_a.gif.bak
tth/tthgif/tthold/tthold/tth_still.gif
tth/tthgif/tthtests/an5.gif
tth/tthgif/tthtests/an9.gif
tth/tthgif/tthtests/anim.doc
tth/tthgif/tthtests/animation.gif
tth/tthgif/tthtests/bak/tt0.fig
tth/tthgif/tthtests/bak/tt1.fig
tth/tthgif/tthtests/bak/tt2.fig
tth/tthgif/tthtests/bak/tt3.fig
tth/tthgif/tthtests/bak/tt4.fig
tth/tthgif/tthtests/bak/tt5.fig
tth/tthgif/tthtests/bak/tt6.fig
tth/tthgif/tthtests/bak/tt7.fig
tth/tthgif/tthtests/bak/tt8.fig
tth/tthgif/tthtests/bak/tt9.fig
tth/tthgif/tthtests/bak/ttA.fig
tth/tthgif/tthtests/bak/ttB.fig
tth/tthgif/tthtests/r2i.patch
tth/tthgif/tthtests/translate
tth/tthgif/tthtests/translate_icon
tth/tthgif/tthtests/translate_mini
tth/tthgif/tthtests/tt.fig
tth/tthgif/tthtests/tt0.fig
tth/tthgif/tthtests/tt0.gif
tth/tthgif/tthtests/tt1.fig
tth/tthgif/tthtests/tt1.gif
tth/tthgif/tthtests/tt2.fig
tth/tthgif/tthtests/tt2.gif
tth/tthgif/tthtests/tt3.fig
tth/tthgif/tthtests/tt3.gif
tth/tthgif/tthtests/tt4.fig
tth/tthgif/tthtests/tt4.gif
tth/tthgif/tthtests/tt5.fig
tth/tthgif/tthtests/tt5.gif
tth/tthgif/tthtests/tt6.fig
tth/tthgif/tthtests/tt6.gif
tth/tthgif/tthtests/tt7.fig
tth/tthgif/tthtests/tt7.gif
tth/tthgif/tthtests/tt8.fig
tth/tthgif/tthtests/tt8.gif
tth/tthgif/tthtests/tt9.gif
tth/tthgif/tthtests/ttA.gif
tth/tthgif/tthtests/ttps.eps
tth/tthgif/tthtests/ttps.fig
tth/tthgif/ttmnew/anim.doc
tth/tthgif/ttmnew/bak/tt0.fig
tth/tthgif/ttmnew/bak/tt1.fig
tth/tthgif/ttmnew/bak/tt2.fig
tth/tthgif/ttmnew/bak/tt3.fig
tth/tthgif/ttmnew/bak/tt4.fig
tth/tthgif/ttmnew/bak/tt5.fig
tth/tthgif/ttmnew/bak/tt6.fig
tth/tthgif/ttmnew/bak/tt7.fig
tth/tthgif/ttmnew/bak/tt8.fig
tth/tthgif/ttmnew/bak/tt9.fig
tth/tthgif/ttmnew/bak/ttA.fig
tth/tthgif/ttmnew/bak/ttB.fig
tth/tthgif/ttmnew/r2i.patch
tth/tthgif/ttmnew/translate
tth/tthgif/ttmnew/translate_icon
tth/tthgif/ttmnew/translate_mini
tth/tthgif/ttmnew/tt.eps
tth/tthgif/ttmnew/tt.fig
tth/tthgif/ttmnew/tt.png
tth/tthgif/ttmnew/tt0.fig
tth/tthgif/ttmnew/tt0.gif
tth/tthgif/ttmnew/tt1.fig
tth/tthgif/ttmnew/tt1.gif
tth/tthgif/ttmnew/tt2.fig
tth/tthgif/ttmnew/tt2.gif
tth/tthgif/ttmnew/tt3.fig
tth/tthgif/ttmnew/tt3.fig.bak
tth/tthgif/ttmnew/tt3.gif
tth/tthgif/ttmnew/tt4.fig
tth/tthgif/ttmnew/tt4.fig.bak
tth/tthgif/ttmnew/tt4.gif
tth/tthgif/ttmnew/tt5.fig
tth/tthgif/ttmnew/tt5.fig.bak
tth/tthgif/ttmnew/tt5.gif
tth/tthgif/ttmnew/tt6.fig
tth/tthgif/ttmnew/tt6.fig.bak
tth/tthgif/ttmnew/tt6.gif
tth/tthgif/ttmnew/tt7.fig
tth/tthgif/ttmnew/tt7.fig.bak
tth/tthgif/ttmnew/tt7.gif
tth/tthgif/ttmnew/tt8.fig
tth/tthgif/ttmnew/tt8.fig.bak
tth/tthgif/ttmnew/tt8.gif
tth/tthgif/ttmnew/tt9.fig
tth/tthgif/ttmnew/tt9.fig.bak
tth/tthgif/ttmnew/tt9.gif
tth/tthgif/ttmnew/ttA.fig
tth/tthgif/ttmnew/ttA.fig.bak
tth/tthgif/ttmnew/ttA.gif
tth/tthgif/ttmnew/ttB.fig
tth/tthgif/ttmnew/ttB.fig.bak
tth/tthgif/ttmnew/ttB.gif
tth/tthgif/ttmnew/ttm.gif
tth/tthgif/ttmnew/ttm_icon.ico
tth/tthgif/ttmold/anim.doc
tth/tthgif/ttmold/anim.gif
tth/tthgif/ttmold/translate
tth/tthgif/ttmold/translate_icon
tth/tthgif/ttmold/tt.fig
tth/tthgif/ttmold/tt.fig.bak
tth/tthgif/ttmold/tt0.fig
tth/tthgif/ttmold/tt0.fig.bak
tth/tthgif/ttmold/tt0.gif
tth/tthgif/ttmold/tt1.fig
tth/tthgif/ttmold/tt1.fig.bak
tth/tthgif/ttmold/tt1.gif
tth/tthgif/ttmold/tt2.fig
tth/tthgif/ttmold/tt2.fig.bak
tth/tthgif/ttmold/tt2.gif
tth/tthgif/ttmold/tt3.fig
tth/tthgif/ttmold/tt3.fig.bak
tth/tthgif/ttmold/tt3.gif
tth/tthgif/ttmold/tt4.fig
tth/tthgif/ttmold/tt4.fig.bak
tth/tthgif/ttmold/tt4.gif
tth/tthgif/ttmold/tt5.fig
tth/tthgif/ttmold/tt5.fig.bak
tth/tthgif/ttmold/tt5.gif
tth/tthgif/ttmold/tt6.fig
tth/tthgif/ttmold/tt6.fig.bak
tth/tthgif/ttmold/tt6.gif
tth/tthgif/ttmold/tt7.fig
tth/tthgif/ttmold/tt7.fig.bak
tth/tthgif/ttmold/tt7.gif
tth/tthgif/ttmold/tt8.fig
tth/tthgif/ttmold/tt8.fig.bak
tth/tthgif/ttmold/tt8.gif
tth/tthgif/ttmold/tth_icon_a.gif
tth/tthgif/ttmold/tth_logo_a.gif
tth/tthgif/ttmold/tth_still.gif
tth/tthgold/TtH-Launcher.lnk
tth/tthgold/TtH.lnk
tth/tthgold/TtHnt.lnk
tth/tthgold/amslatex.sty
tth/tthgold/amsppt.sty
tth/tthgold/babel/danish.bab
tth/tthgold/babel/dutch.bab
tth/tthgold/babel/english.bab
tth/tthgold/babel/french.bab
tth/tthgold/babel/german.bab
tth/tthgold/babel/italian.bab
tth/tthgold/babel/spanish.bab
tth/tthgold/babel/swedish.bab
tth/tthgold/gold_man.aux
tth/tthgold/gold_man.dvi
tth/tthgold/gold_man.html
tth/tthgold/gold_man.tex
tth/tthgold/gold_man.toc
tth/tthgold/golddesc/docindex.html
tth/tthgold/golddesc/footnote.html
tth/tthgold/golddesc/gold_desc.aux
tth/tthgold/golddesc/gold_desc.dvi
tth/tthgold/golddesc/gold_desc.html
tth/tthgold/golddesc/gold_desc.idx
tth/tthgold/golddesc/gold_desc.ilg
tth/tthgold/golddesc/gold_desc.log
tth/tthgold/golddesc/gold_desc.mst
tth/tthgold/golddesc/gold_desc.tex
tth/tthgold/golddesc/gold_desc.tid
tth/tthgold/golddesc/gold_desc.tin
tth/tthgold/golddesc/gold_desc.toc
tth/tthgold/golddesc/gold_desc_old.tex
tth/tthgold/golddesc/head.html
tth/tthgold/golddesc/index.html
tth/tthgold/golddesc/sec1.html
tth/tthgold/golddesc/sec2.html
tth/tthgold/golddesc/sec3.html
tth/tthgold/golddesc/sec4.html
tth/tthgold/golddesc/sec5.html
tth/tthgold/golddesc/window_capture.gif
tth/tthgold/latex2gif
tth/tthgold/tth.1
tth/tthgold/tth.gif
tth/tthgold/tth_icon.bmp
tth/tthgold/tth_man.tex
tth/tthgold/tthntbib.sty
tth/tthgold/tthprep
tth/tthgold/tthprep.sty
tth/tthgold/tthrfcat
tth/tthgold/tthrfcat.c
tth/tthgold/tthsplit
tth/tthgold/tthsplit.c
tth/tthgold/tthxspac.sty
tth/tthgold/uninstal.bat
tth/tthntbib.sty
tth/ttm.gif
tth/ttm.res
tth/ttmC/latex2gif
tth/ttmC/license.txt
tth/ttmC/ps2gif
tth/ttmC/ps2png
tth/ttmC/ttm.gif
tth/ttmC/ttm_icon.gif
tth/ttmC/ttm_mini.gif
tth/ttmC/ttmsplit.c
tth/ttmL/latex2gif
tth/ttmL/license.txt
tth/ttmL/ps2gif
tth/ttmL/ps2png
tth/ttmL/ttm.gif
tth/ttmL/ttm.kdelnk
tth/ttmL/ttm_icon.gif
tth/ttmL/ttm_mini.gif
tth/ttmL/ttminstall
tth/ttmL/uninstall
Comment 6 gil cattaneo 2015-11-05 23:01:36 EST
forgotten

[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tth-tex
     , tth-libs , tth-devel , tth-debuginfo

tth-devel sub package should provide

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Comment 7 Jerry James 2015-11-05 23:12:15 EST
Thanks for the review!

(In reply to gil cattaneo from comment #5)
> ISSUES:
> 
> [!]: Package contains no static executables.

Okay, those are removed in the next version.

> [!]: Uses parallel make %{?_smp_mflags} macro.
>  make manual ?

I can do this if you insist, but it won't do any good.  Building the manual is an inherently sequential process, so only 1 submake will run at a time anyway.

> [!]: License file installed when any subpackage combination is installed.
> Should be installed also in the libs sub package

Note that -libs depends on the -tex subpackage, which contains the license.  No matter which package you install, the -tex subpackage gets pulled in, so the license is always installed.

> Should be contact upstream yo inclide license headers where missing, and
> also for upgrade license test file with new Free Software Foundation address
> 
> tth-tex.noarch: E: incorrect-fsf-address /usr/share/licenses/tth-tex/GPL2.txt

Okay, I will tell upstream.

(In reply to gil cattaneo from comment #6)
> forgotten
> 
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tth-tex
>      , tth-libs , tth-devel , tth-debuginfo
> 
> tth-devel sub package should provide
> 
> Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

Good catch.  I have fixed this in the new version as well.

New URLs:
Spec URL: https://jjames.fedorapeople.org/tth/tth.spec
SRPM URL: https://jjames.fedorapeople.org/tth/tth-4.08-2.fc24.src.rpm
Comment 8 gil cattaneo 2015-11-05 23:38:48 EST
Seem all ok for me, approved
Comment 9 Gwyn Ciesla 2015-11-06 07:47:20 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/tth
Comment 10 Fedora Update System 2015-11-06 11:37:29 EST
tth-4.08-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2152d0dcbb
Comment 11 Fedora Update System 2015-11-08 08:24:10 EST
tth-4.08-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tth'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2152d0dcbb
Comment 12 Fedora Update System 2015-11-17 10:51:05 EST
tth-4.08-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.